import APIRepository, { APIRepositoryProps } from '../../../../../core/modules/_shared/infrastructure/api/api-repository';
import PlanConfigurationRepository from '../../../protection-plan/domain/repositories/plan-configuration-repository';
import PlanConfigurationProcess from '../../../protection-plan/domain/models/configuration-process/plan-configuration-process';
export declare const PLAN_CREATION_KEY = "inheriti_plan_creations";
export default class AppPlanConfigurationRepository extends APIRepository implements PlanConfigurationRepository {
    private storage;
    constructor(props: APIRepositoryProps);
    save(item: PlanConfigurationProcess): Promise<any>;
    find(id: string): Promise<PlanConfigurationProcess | undefined>;
    remove(id: string): Promise<any>;
    checkCanProtect(planId: string): Promise<boolean>;
}
